Package nl.tudelft.simulation.dsol.tutorial.section44

# Class Model

java.lang.Object
nl.tudelft.simulation.event.EventProducer
nl.tudelft.simulation.dsol.model.AbstractDSOLModel<Double,​Double,​SimTimeDouble,​S>
nl.tudelft.simulation.dsol.model.AbstractDSOLModel.TimeDouble<DEVDESSSimulator.TimeDouble>
nl.tudelft.simulation.dsol.tutorial.section44.Model

All Implemented Interfaces:
  `Serializable`, `DSOLModel<Double,​Double,​SimTimeDouble,​DEVDESSSimulator.TimeDouble>`, `DSOLModel.TimeDouble<DEVDESSSimulator.TimeDouble>`, `EventProducerInterface`

    public class Model
    extends AbstractDSOLModel.TimeDouble<DEVDESSSimulator.TimeDouble>

BallModel, the ball example in 3D.

Copyright (c) 2002-2019 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Roy Chin
See Also:
  Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class nl.tudelft.simulation.dsol.model.AbstractDSOLModel

`AbstractDSOLModel.CalendarDouble<S extends SimulatorInterface.CalendarDouble>, AbstractDSOLModel.CalendarFloat<S extends SimulatorInterface.CalendarFloat>, AbstractDSOLModel.CalendarLong<S extends SimulatorInterface.CalendarLong>, AbstractDSOLModel.TimeDouble<S extends SimulatorInterface.TimeDouble>, AbstractDSOLModel.TimeDoubleUnit<S extends SimulatorInterface.TimeDoubleUnit>, AbstractDSOLModel.TimeFloat<S extends SimulatorInterface.TimeFloat>, AbstractDSOLModel.TimeFloatUnit<S extends SimulatorInterface.TimeFloatUnit>, AbstractDSOLModel.TimeLong<S extends SimulatorInterface.TimeLong>`

## Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.model.DSOLModel

`DSOLModel.CalendarDouble<S extends SimulatorInterface.CalendarDouble>, DSOLModel.CalendarFloat<S extends SimulatorInterface.CalendarFloat>, DSOLModel.CalendarLong<S extends SimulatorInterface.CalendarLong>, DSOLModel.TimeDouble<S extends SimulatorInterface.TimeDouble>, DSOLModel.TimeDoubleUnit<S extends SimulatorInterface.TimeDoubleUnit>, DSOLModel.TimeFloat<S extends SimulatorInterface.TimeFloat>, DSOLModel.TimeFloatUnit<S extends SimulatorInterface.TimeFloatUnit>, DSOLModel.TimeLong<S extends SimulatorInterface.TimeLong>`

## Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.model.AbstractDSOLModel

`inputParameterMap, outputStatistics, simulator`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Model​(DEVDESSSimulator.TimeDouble simulator)` | Constructs new BallModel.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `constructModel()`

### Methods inherited from class nl.tudelft.simulation.dsol.model.AbstractDSOLModel

`addInputParameter, getInputParameter, getInputParameterMap, getOutputStatistics, getSimulator`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.dsol.model.DSOLModel

`getInputParameterMap, getOutputStatistics, getSimulator`

## Constructor Details

### Model

public Model​(DEVDESSSimulator.TimeDouble simulator)
Constructs new BallModel.

Parameters:
  `simulator` - DEVDESSSimulator.TimeDouble; the simulator

## Method Details

### constructModel

public void constructModel() throws SimRuntimeException

Throws:
  `SimRuntimeException`